NumberSpinnerHandle (install4j API)
Description: declaration: package: com.install4j.api.test.formcomponents, interface: NumberSpinnerHandle

# Interface NumberSpinnerHandle

All Superinterfaces:
  `FormComponentHandle`

public interface NumberSpinnerHandle extends FormComponentHandle
Handle for the "Spinner of integer values" form component. The Swing widget is an integer-valued `JSpinner`.

Reach this handle via `ScreenHandle.numberSpinner()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberSpinnerHandle`
  `assertDisabled()`
  `NumberSpinnerHandle`
  `assertEnabled()`
  `NumberSpinnerHandle`
  `assertInvisible()`
  `NumberSpinnerHandle`
  `assertValue(int expected)`
  Assert that the current value equals the expected value.
  `NumberSpinnerHandle`
  `assertVisible()`
  `NumberSpinnerHandle`
  `decrement()`
  Decrement the value by one.
  `int`
  `getMaxValue()`
  The configured maximum value.
  `int`
  `getMinValue()`
  The configured minimum value.
  `int`
  `getValue()`
  The current integer value.
  `NumberSpinnerHandle`
  `increment()`
  Increment the value by one.
  `NumberSpinnerHandle`
  `setValue(int value)`
  Set the current integer value.

  ### Methods inherited from interface FormComponentHandle

  `getId, isEnabled, isVisible`

- ## Method Details

  - ### getValue

    int getValue()
    The current integer value.

  - ### getMinValue

    int getMinValue()
    The configured minimum value.

  - ### getMaxValue

    int getMaxValue()
    The configured maximum value.

  - ### setValue

    @NotNull NumberSpinnerHandle setValue(int value)
    Set the current integer value.

  - ### increment

    @NotNull NumberSpinnerHandle increment()
    Increment the value by one.

  - ### decrement

    @NotNull NumberSpinnerHandle decrement()
    Decrement the value by one.

  - ### assertValue

    @NotNull NumberSpinnerHandle assertValue(int expected)
    Assert that the current value equals the expected value.

  - ### assertEnabled

    @NotNull NumberSpinnerHandle assertEnabled()
    Specified by:
      `assertEnabled` in interface `FormComponentHandle`

  - ### assertDisabled

    @NotNull NumberSpinnerHandle assertDisabled()
    Specified by:
      `assertDisabled` in interface `FormComponentHandle`

  - ### assertVisible

    @NotNull NumberSpinnerHandle assertVisible()
    Specified by:
      `assertVisible` in interface `FormComponentHandle`

  - ### assertInvisible

    @NotNull NumberSpinnerHandle assertInvisible()
    Specified by:
      `assertInvisible` in interface `FormComponentHandle`